import type { Transaction } from "./transaction";

export type Dashboard = {
  stats: {
    transaction_count: number;
    transaction_count_previous: number;
    transaction_energy_total: number;
    transaction_energy_total_previous: number;
    transaction_cost_total: number;
    transaction_cost_total_previous: number;
  };
  current_transaction: Transaction | undefined;
  recent_transactions: Transaction[];
}